@import url('https://fonts.googleapis.com/css2?family=Jura:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');

:root {

  /* ======== Spacing ========*/
  /*.25rem = 4px, .5rem = 8px, .75rem = 12px */
  --space-1:.25rem;
  --space-2:.5rem;
  --space-3:.75rem;
  --space-4: 1rem;
  --space-6: 1.5rem;
  --space-8: 2rem;
  --space-10: 2.5rem;
  --space-12: 3rem;
  --space-14: 3.5rem;
  --space-16: 4rem;
  --space-20: 5rem;

  /* Border */
  --pixel-1: 0.0625rem;
  --pixel-2: 0.125rem;
  --pixel-3: 0.1875rem;
  --pixel-4: 0.25rem;
  --pixel-5: 0.3125rem;
  --pixel-6: 0.375rem;

  /*z index*/
  --z-tooltip: 10;
  --z-fixed: 100;
  --z-modal: 1000;

  /* ======== Font and typography ========*/
  --font-family: 'Jura', sans-serif;

  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px */
  --font-size-big: 2rem;
  --font-size-h1: 1.5rem;
  --font-size-h2: 1.25rem;
  --font-size-h3: 1.125rem;
  --font-size-normal: 0.938rem;
  --font-size-sm: 0.813rem;
  --font-size-xs: .75rem;
}
/* ===== Common Styles ===== */
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;

  font-family: var(--font-family);

  text-decoration: none;
  list-style-type: none;
  outline: none;
}
/* Utility */
.center{
  display: flex;
  justify-content: center;
  align-items: center;
}


/* Mouse */
.mouse-circle,
.mouse-dot{
  position: fixed;
  display: none;
  border-radius: 50%;
  z-index: var(--z-fixed);
  transform: translate(-50%,-50%);
  pointer-events: none;
}
.mouse-circle{
  width: var(--space-16);
  height: var(--space-16);
  border: 1px solid #c7a622;
  animation: mouseCircleAnim 10s infinite linear;
}

.mouse-dot{
  width: 5px;
  height: 5px;
  background-color: #9b0e0e;
  animation: mouseDotAnim 10s infinite linear;
}

@keyframes mouseCircleAnim {
  0%{
    width: var(--space-16);
    height: var(--space-16);
  }
  25%{
    width: var(--space-20);
    height: var(--space-20);
  }
  35%{
    width: var(--space-10);
    height: var(--space-10);
  }
  70%{
    width: var(--space-20);
    height: var(--space-20);
  }
  100%{
    width: var(--space-16);
    height: var(--space-16);
  }
}

@keyframes mouseDotAnim {
  0%{
    width: var(--space-2);
    height: var(--space-2);
  }
  55%{
    width: var(--space-6);
    height: var(--space-6);
  }
  100%{
    width: var(--space-2);
    height: var(--space-2);
  }

}


/* Page BG */
.page-bg{
  position: fixed;
  width: 100%;
  height: 100vh;
  background: linear-gradient(rgba(0,0,0,.7),rgba(0,0,0,.7)), url(images/bg.jpg) center no-repeat;
  background-size: cover;
}


/* ========= Hero Section ========= */
.hero{
  position: relative;
  width: 100%;
  height: 100vh;
}

.logo{
  position: absolute;
  top: var(--space-6);
  left: var(--space-12);
  font-size: var(--space-6);
  text-transform: uppercase;
  color: #fff;
}
.circles{
  position: absolute;
  top: 0;
  left: 0;

  display: grid;
  grid-template-columns: repeat(2,1fr);
  grid-template-rows: repeat(2,1fr);
  justify-items: center;
  align-items: center;

  width: 100%;
  height: 100%;
}
.circle{
  position: relative;
  top: 0;
  left: 0;
  width: 14rem;
  height: 14rem;
  border-radius: 50%;
  background-color: coral;
  opacity: .7;
  transition: left 2s, top 2s;
}
.circle-1{
  margin-left: calc(var(--space-12)*-1);
  border: var(--space-1) dotted #a14b1a;
  background:url(images/hero/circle-1-img.jpg) center no-repeat;
  background-size: cover;
  background-clip: content-box;
}
.circle-2{
  margin-right: calc(var(--space-12)*-1);
  border: var(--space-1) dashed #ffbd07;
  background:url(images/hero/circle-2-img.jpg) center no-repeat;
  background-size: cover;
  background-clip: content-box;
}
.circle-3{
  margin-left: calc(var(--space-12)*-1);
  border: var(--space-3) double #9b0e0e;
  background:url(images/hero/circle-3-img.jpg) center no-repeat;
  background-size: cover;
  background-clip: content-box;
}
.circle-4{
  margin-right: calc(var(--space-12)*-1);
  border: var(--space-2) double #fff;
  background:url(images/hero/circle-4-img.jpg) center no-repeat;
  background-size: cover;
  background-clip: content-box;
}
.main-circle{
  position: absolute;
  width: 35rem;
  height: 35rem;
  overflow: hidden;
  border-radius: 50%;
  transition: width 0.2s, height 0.2s;
}
.main-circle:hover{
  width: 47rem;
  height: 47rem;
}

.main-circle img{
  position: relative;
  top: 0;
  left: 0;
  mix-blend-mode: difference;
  transition: left 2s, top 2s;
}

.featured-text{
  position: sticky;
  top: 0;

  width: 0;
  word-wrap:break-word;
  font-size: var(--font-size-h2);
  line-height: 3.5;
  text-transform: uppercase;
  color: #fff;
}

.featured-text-1{
  margin: 0 auto 0 6.5rem;
}
.featured-text-2{
  margin: 0 6.5rem 0 auto;
}

.main-btn{
  position: absolute;
  bottom: var(--space-12);
  padding: var(--pixel-1);
  width: 8.5rem;
  height: 8.5rem;
  
  border: var(--pixel-2) dotted #fff;
  border-radius: 50%;
  background-color: #9b0e0e;
  overflow: hidden;
}

.main-btn-content{
  width: 100%;
  height: 100%;

  border: var(--pixel-2) dotted #e7be08;
  border-radius: 50%;
  transform: rotate(40deg);
  transition: transform 0.2s, border 0.2s;
}

.main-btn:hover .main-btn-content{
  border: var(--pixel-2) dotted #9b0e0e;
  transform: rotate(60deg);
  transition: transform 0.2s 0.5s, border 0.2s;
}

.main-btn-line{
  position: absolute;
  top: var(--space-10);
  width: var(--space-8);
  height: var(--pixel-5);
  border: var(--pixel-1) solid #fff;
}

.main-btn-line:nth-child(1){
  border-right: none;
  transform-origin: left center;
  transform: rotateZ(-45deg) translateX(-0.405rem);
}

.main-btn-line:nth-child(2){
  border-left: none;
  transform-origin: right center;
  transform: rotateZ(45deg) translateX(0.405rem);
}

.main-btn-line:nth-child(3){
  border-left: none;
  transform: rotateZ(90deg) translateX(0.3125rem);
}

.main-btn span {
  position: absolute;
  bottom: var(--space-6);

  font-size: var(--font-size-h3);
  font-weight: 600;
  color: #fff;
  text-transform: uppercase;
}

.ripple {
  position: absolute;
  width: 0;
  height: 0;
  border-radius: 50%;
  background-color: #e7be08;
  transform: translate(-50%, -50%);
  animation: rippleAnim 0.5s forwards;
}

@keyframes rippleAnim {
  0% {
    width: 0;
    height: 0;
  }
  100% {
    width: 210%;
    height: 210%;
  }
}